--- title: "RevokeCertificate" slug: "security-certificatemanager-revokecertificate" updated: 2026-10-08T04:19:28Z published: 2026-10-08T04:19:28Z canonical: "api.ncloud-docs.com/security-certificatemanager-revokecertificate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # RevokeCertificate Available in Classic and VPC Revoke an Advanced certificate. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/certificate/revoke | ### Request headers For information about the request headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `orderId` | String | Required | Order ID containing the certificate to be revoked | | `certificateNo` | Integer | Required | Certificate number - 0-N - To revoke all certificates within the order: Enter `0`. | | `revokeType` | String | Required | Revocation cause - `affiliationChanged` \| `superseded` \| `cessationOfOperation` \| `unspecified` - `affiliationChanged`: When identification information such as the organization name has changed - `superseded`: When the certificate has been or is scheduled to be replaced by a new certificate before expiration - `cessationOfOperation`: When the domain or service has been or is scheduled to be permanently discontinued - `unspecified`: Other (recommended for use only when none of the above reasons apply) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/revoke' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "orderId": "1", "certificateNo": 1, "revokeType": "superseded" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalRows` | Integer | - | Number of certificates included in the revocation request | ### Response status codes For information about the response status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalRows": 1 } ```